DataLazy.h File Reference
`#include "system_dep.h"`
`#include "DataAbstract.h"`
`#include "ArrayOps.h"`
`#include "DataVector.h"`
`#include "ES_optype.h"`
`#include <string>`

Go to the source code of this file.

## Classes

class | escript::DataLazy
| Wraps an expression tree of other DataObjects. The data will be evaluated when required. More...

## Namespaces

| escript

## Typedefs

typedef boost::shared_ptr< DataLazy > | escript::DataLazy_ptr
typedef boost::shared_ptr< const DataLazy > | escript::const_DataLazy_ptr

## Functions

DataLazy_ptr | escript::makePromote (DataLazy_ptr p)